//
//  ViewController.m
//  TestingEvent
//
//  Created by Darrell Kress on 12/9/13.
//  Copyright (c) 2013 Darrell Kress. All rights reserved.
//

#import "ViewController.h"
@interface MyData:NSObject
@property NSInteger value;
@property NSString* name;
@end
@implementation MyData
@end


@interface ViewController ()
{
    
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    _chartView = [[IGChartView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height-100)];
    _chartView.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
    _chartView.delegate = self;
    _data = [[NSMutableArray alloc]init];
    for (int i = 0; i< 400; i++) {
        MyData *d = [[MyData alloc]init];
        d.name =[ NSString stringWithFormat:@"Name %d",i ];
        d.value = i % 10;
        [_data addObject:d];
    }
    
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value"];
    _dsh.labelPath = @"name";
    
     _columnSeries = (IGColumnSeries*)[_chartView addSeriesForType:[IGColumnSeries class] usingKey:@"s1" withDataSource:_dsh firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    [self.view addSubview:_chartView];
    
    CGRect rect =CGRectMake(0, self.view.frame.size.height-50, self .view.frame.size.width  , 50);
    _rs = [[IGRangeSelectorView alloc]initWithFrame:rect];
      _rs.autoresizingMask = UIViewAutoresizingFlexibleTopMargin|UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_rs];
    
    _chartView.zoombar = _rs;
    _chartView.maximumZoomScale = 20;
    _chartView.zoomDisplayType = IGChartZoomHorizontal;
}

-(void)updateLabels
{
    /*
     The IGCategoryXAxis has 2 helper properties that let us know what data elements are currently being shown with respect to zoom and scroll.
     */
    IGCategoryXAxis* xAxis =(IGCategoryXAxis*)_columnSeries.xAxis;
    
    
    // the values that we get back are floats, because values maybe be partially shown.  This is easy to see in a column chart where you might have half a column displayed.   So if you see a value like 1.78 that means that the element at data point 1 is on screen, but we are about 75% of the way through displaying it and element at index 2 is the first fully visible element.  if it was 1.99 then the area set asside for the element @ index 1 is almost compelety gone.  We would expect that when the axis line is crossing through the chart display area border that the value would go to 2.00
    CGFloat visibleMax = xAxis.visibleMaximumValue;
    CGFloat visibleMin = xAxis.visibleMinimumValue;
    
    NSLog(@"MinValue = %f, Max value %f",visibleMin,visibleMax);
}
-(void)chartViewDidScroll:(IGChartView *)chartView
{
    [self updateLabels];
}
-(void)chartViewDidZoom:(IGChartView *)chartView
{
    [self updateLabels];
}
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
